Subject: Bug#915070: wodim ignores -dummy

From: "Md Ayquassar" <[email-masked]>
Date: Fri, 30 Nov 2018 05:40:41 +0300

Package: wodim
Version: 9:1.1.11-3+b2
Severity: critical

Starting with a blank 4.7 Gb DVD-R in the optical drive "HL-DT-ST DVD+-RW GS30N",
my_file.iso containing a freshly downloaded copy of Windows 10 (US English, x64),
and issuing
$ sudo wodim -v driver=mmc_cd_dvd dev=/dev/sg1 -dummy -dao speed=1 fs=100m
driveropts=noburnfree -data my_file.iso

twice, I discovered that the first dry run succeeded, but the second did not.
Upon ejecting the disc, I saw a differently colored ring on the disc. So, wodim
didn't turn off the laser completely and thus made the disc unusable.

So, we can no more test wodim's features without destroying discs. In practical
terms, this makes wodim a harmful program. I suggest removing it from Debian
completely.